package com.iot.modbus_rtcp.netty;

import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.concurrent.ThreadPoolTaskExecutor;

@Slf4j
public class ThreadPoolConsumer {
    private static final ThreadPoolTaskExecutor mThreadPoolExecutor;

    static {
        mThreadPoolExecutor = new ThreadPoolTaskExecutor();
        mThreadPoolExecutor.setCorePoolSize(4);
        mThreadPoolExecutor.setMaxPoolSize(8);
        mThreadPoolExecutor.setKeepAliveSeconds(60);
        mThreadPoolExecutor.initialize();
    }

    public static void submit(Runnable task) {
        mThreadPoolExecutor.submit(task);
    }
}
